## com.sun.jersey.core.reflection
Class ReflectionHelper.DeclaringClassInterfacePair

    java.lang.Object
      com.sun.jersey.core.reflection.ReflectionHelper.DeclaringClassInterfacePair

Enclosing class:
  ReflectionHelper

    public static class ReflectionHelper.DeclaringClassInterfacePair

extends java.lang.Object

A tuple consisting of a concrete class, declaring class that declares a generic interface type.

Field Summary
`java.lang.Class` `concreteClass`
`java.lang.Class` `declaringClass`
`java.lang.reflect.Type` `genericInterface`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### concreteClass

    public final java.lang.Class concreteClass

### declaringClass

    public final java.lang.Class declaringClass

### genericInterface

    public final java.lang.reflect.Type genericInterface

Copyright © 2017 Oracle Corporation. All Rights Reserved.